☝️Small business or a startup? See if you qualify for our special offer.
+
List of all demos

Vue Pivot Table localization

Use the language of your Vue app for the integrated pivot table to provide your users with the best experience.


    <template>
      <button v-on:click="setLocalization('en')">EN</button>
      <button v-on:click="setLocalization('fr')">FR</button>
      <button v-on:click="setLocalization('it')">IT</button>
      <button v-on:click="setLocalization('es')">ES</button>
      <button v-on:click="setLocalization('pt')">PT</button>
      <button v-on:click="setLocalization('zh')">ZH</button>
      <button v-on:click="setLocalization('uk')">UK</button>
      <Pivot
        ref="pivot"
        componentFolder="https://cdn.flexmonster.com/"
        height="430"
        toolbar
        v-bind:report="report"
        v-bind:shareReportConnection="{
          url: 'https://olap.flexmonster.com:9500',
        }"
        v-bind:beforetoolbarcreated="customizeToolbar"
      />
    </template>
    
    <script>
    import Pivot from "vue-flexmonster/vue3";
    import "flexmonster/flexmonster.css";
    
    const pdfFonts = {
      en: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
      fr: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
      it: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
      es: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
      pt: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
      zh: "https://cdn.flexmonster.com/fonts/NotoSansCJKsc-Regular.ttf",
      uk: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
    };
    
    export default {
      name: "PivotComponent",
      components: {
        Pivot,
      },
      data() {
        return {
          report: {
            dataSource: {
              type: "csv",
              filename: "data/data-en.csv",
            },
            slice: {
              rows: [
                {
                  uniqueName: "Category",
                },
              ],
              columns: [
                {
                  uniqueName: "[Measures]",
                },
              ],
              measures: [
                {
                  uniqueName: "Price",
                  aggregation: "sum",
                  format: "currency",
                },
              ],
            },
            formats: [
              {
                name: "",
                thousandsSeparator: ",",
                decimalSeparator: ".",
                decimalPlaces: 2,
              },
              {
                name: "currency",
                currencySymbol: "$",
              },
            ],
          },
          currentLang: "en",
        };
      },
      methods: {
        setLocalization(lang) {
          this.currentLang = lang;
          this.$refs.pivot.flexmonster.setReport({
            dataSource: {
              type: "csv",
              filename: "data/data-" + lang + ".csv",
            },
            localization: "loc/" + lang + ".json",
            formats: [{
              name: "",
              thousandsSeparator: ",",
              decimalSeparator: ".",
              decimalPlaces: 2,
              currencySymbol: "$",
            }]
          });
        },
        customizeToolbar(toolbar) {
          toolbar.exportHandler = (type) => {
            if (type == "pdf") {
              this.$refs.pivot.flexmonster.exportTo(type, {
                fontUrl: pdfFonts[this.currentLang],
              });
            } else {
              this.$refs.pivot.flexmonster.exportTo(type);
            }
          };
          toolbar.showShareReportTab = true;
        },
      },
    };
    </script>
    

    We prepared 12 localization files that can be downloaded from the website or our CDN. The JSON file contains key-value pairs, where a key is the component’s element, and value is the translation of its text into the corresponding language.

    After you download the file, just specify its path for your Vue app. You can also create your custom localization file in case you need to use a different language. The best way to do it - use our default English localization file as a template.

    For more details on localizing the vue pivot table, check out our Localizing component guide.

☝️Small business or a startup? See if you qualify for our special offer.
+
List of all demos

React Pivot Table localization

Translate labels, text messages, captions, and other text elements of the pivot table for React into the language of your choice just in clicks.


    import React from "react";
    import * as FlexmonsterReact from "react-flexmonster";
    
    class PivotTableDemo extends React.Component {
      constructor(props) {
        super(props);
        this.pivot = React.createRef();
        this.currentLang = "en";
        this.pdfFonts = {
          en: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
          fr: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
          it: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
          es: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
          pt: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
          zh: "https://cdn.flexmonster.com/fonts/NotoSansCJKsc-Regular.ttf",
          uk: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
        };
      }
    
      render() {
        return (
          <>
            <button onClick={() => this.setLocalization("en")}>EN</button>
            <button onClick={() => this.setLocalization("fr")}>FR</button>
            <button onClick={() => this.setLocalization("it")}>IT</button>
            <button onClick={() => this.setLocalization("es")}>ES</button>
            <button onClick={() => this.setLocalization("pt")}>PT</button>
            <button onClick={() => this.setLocalization("zh")}>ZH</button>
            <button onClick={() => this.setLocalization("uk")}>UK</button>
            <FlexmonsterReact.Pivot
              ref={this.pivot}
              componentFolder="https://cdn.flexmonster.com/"
              height={430}
              toolbar={true}
              report={{
                dataSource: {
                  type: "csv",
                  filename: "data/data-en.csv",
                },
                slice: {
                  rows: [
                    {
                      uniqueName: "Category",
                    },
                  ],
                  columns: [
                    {
                      uniqueName: "[Measures]",
                    },
                  ],
                  measures: [
                    {
                      uniqueName: "Price",
                      aggregation: "sum",
                      format: "currency",
                    },
                  ],
                },
                formats: [
                  {
                    name: "",
                    thousandsSeparator: ",",
                    decimalSeparator: ".",
                    decimalPlaces: 2,
                  },
                  {
                    name: "currency",
                    currencySymbol: "$",
                  },
                ],
              }}
              shareReportConnection={{
                url: "https://olap.flexmonster.com:9500",
              }}
              beforetoolbarcreated={this.customizeToolbar}
            />
          </>
        );
      }
    
      setLocalization = (lang) => {
        this.currentLang = lang;
        this.pivot.current.flexmonster.setReport({
          dataSource: {
            type: "csv",
            filename: "data/data-" + lang + ".csv",
          },
          localization: "loc/" + lang + ".json",
          formats: [{
            name: "",
            thousandsSeparator: ",",
            decimalSeparator: ".",
            decimalPlaces: 2,
            currencySymbol: "$",
          }]
        });
      };
    
      customizeToolbar = (toolbar) => {
        toolbar.exportHandler = (type) => {
          if (type === "pdf") {
            this.pivot.current.flexmonster.exportTo(type, {
              fontUrl: this.pdfFonts[this.currentLang],
            });
          } else {
            this.pivot.current.flexmonster.exportTo(type);
          }
        };
        toolbar.showShareReportTab = true;
      };
    }
    
    export default PivotTableDemo;
    

    You need to specify the path to the localization file — a JSON file with key-value pairs, where a key is the component’s element and value is the translation of its text into the respective language.

    Translating the entire component using global settings or overriding localizations within specific reports is possible.

    Check for more details on localizing the web pivot table in the Localizing component guide.

☝️Small business or a startup? See if you qualify for our special offer.
+
List of all demos

Angular Pivot Table localization

Translate the pivot table to the end-users native language to provide them with the best reporting experience.


    import { Component, OnInit, ViewChild } from "@angular/core";
    import { FlexmonsterPivot } from "ng-flexmonster";
    
    @Component({
      selector: "pivotComponent",
      templateUrl: "./pivot.component.html",
      styleUrls: ["./pivot.component.css"],
    })
    export class PivotComponent implements OnInit {
      @ViewChild("pivot") pivot!: FlexmonsterPivot;
    
      public report: Object = {
        dataSource: {
          type: "csv",
          filename: "data/data-en.csv",
        },
        slice: {
          rows: [{
            uniqueName: "Category"
          }],
          columns: [{
            uniqueName: "[Measures]"
          }],
          measures: [{
            uniqueName: "Price",
            aggregation: "sum",
            format: "currency"
          }]
        },
        formats: [{
          name: "",
          thousandsSeparator: ",",
          decimalSeparator: ".",
          decimalPlaces: 2,
        }, {
          name: "currency",
          currencySymbol: "$",
        }]
      };
    
      currentLang = "en";
    
      pdfFonts: any = {
        en: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
        fr: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
        it: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
        es: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
        pt: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
        zh: "https://cdn.flexmonster.com/fonts/NotoSansCJKsc-Regular.ttf",
        uk: "https://cdn.flexmonster.com/fonts/NotoSans-Regular.ttf",
      };
    
      constructor() {}
    
      ngOnInit(): void {}
    
      setLocalization(lang: string) {
        this.currentLang = lang;
        this.pivot.flexmonster.setReport({
          dataSource: {
            type: "csv",
            filename: "data/data-" + lang + ".csv",
          },
          localization: "loc/" + lang + ".json",
          formats: [{
            name: "",
            thousandsSeparator: ",",
            decimalSeparator: ".",
            decimalPlaces: 2,
            currencySymbol: "$",
          }]
        });
      }
    
      customizeToolbar(toolbar: Flexmonster.Toolbar) {
        toolbar.exportHandler = (type) => {
          if (type === "pdf") {
            this.pivot.flexmonster.exportTo(type, {
              fontUrl: this.pdfFonts[this.currentLang],
            });
          } else {
            this.pivot.flexmonster.exportTo(type);
          }
        };
        toolbar.showShareReportTab = true;
      }
    }
    
    <button (click)="setLocalization('en')">EN</button>
    <button (click)="setLocalization('fr')">FR</button>
    <button (click)="setLocalization('it')">IT</button>
    <button (click)="setLocalization('es')">ES</button>
    <button (click)="setLocalization('pt')">PT</button>
    <button (click)="setLocalization('zh')">ZH</button>
    <button (click)="setLocalization('uk')">UK</button>
    
    <fm-pivot
      #pivot
      [componentFolder]="'https://cdn.flexmonster.com/'"
      [height]="430"
      [toolbar]="true"
      [report]="report"
      [shareReportConnection]="{url: 'https://olap.flexmonster.com:9500'}"
      (beforetoolbarcreated)="customizeToolbar($event)">
    </fm-pivot>
    

    All text elements can be renamed or translated into the language of your choice: match labels, text messages, pop-ups and captions to the language of your Angular reporting software.

    You can quickly translate the whole component into Spanish, German, Mandarin, Thai and other 9 languages simply by adding one link into your code. The full list of the ready-made localizations for our Angular data grid you can check in the how to localize the component guide.

    If you didn’t manage to find the required localization you can create your own. All you need to do is to rewrite a JSON file with key-value pairs, where a key is the component’s element and value is the translation of its text into the respective language.

    You can also translate the entire component using global settings or override localization only for specific reports of your Angular data visualization solution.